aircrack-compiler-installer-script-thingy

NOTE! this script is not needed if you’re using arch linux or a debian derivate (eg. ubuntu or mint), the latest packages will do it all for you.

first responses to the beta are in and the most common one was the question how to compile aircrack-ng with the unstable=true option. in the next version therell be a button for this (downloading-compiling-installing) but until then i wrote tiny shell script with pretty much no error-checking!
instructions:
download the script into a folder and open a terminal there, then type..
if you’re using debian (or ubuntu, mint …):

sudo apt-get install build-essential sqlite3 libsqlite3-dev
sudo apt-get install openssl-dev # (if this fails use libssl-dev instead of openssl-dev)
chmod +x aircrack-installer.sh
./aircrack-installer.sh

most other distros:

chmod +x aircrack-installer.sh
./aircrack-installer.sh

openssl and sqlite3 will, if not already installed, be downloaded and installed by the script. for some reason it failed on my friends machine running xubuntu 8.something (i dont currently have a debian based testing environment).

script:     aircrack-installer.sh (2.0 KiB, 2,507 downloads)

09-06-02 update:
fixed a bug in the script and added wesside-ng check, thank you Musen for trying it out on ubuntu!

09-06-21 update:
arch users dont need this script, the new aur pkgbuild takes care of everything..

// sluggo

Comment